Configurations - List By Server

Répertorier toutes les configurations d’un serveur donné.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/configurations?api-version=2022-12-01

Paramètres URI

Nom Dans Obligatoire Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Nom du groupe de ressources. Le nom ne respecte pas la casse.

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

Le nom du serveur

subscriptionId
path True

string

minLength: 1

ID de l’abonnement cible.

api-version
query True

string

minLength: 1

Version de l’API à utiliser pour cette opération.

Réponses

Nom Type Description
200 OK

ConfigurationListResult

Ok

Other Status Codes

ErrorResponse

Réponse d’erreur décrivant pourquoi l’opération a échoué.

Sécurité

azure_auth

Flux OAuth2 Azure Active Directory

Type: oauth2
Flux: implicit
URL d’autorisation: https://login.microsoftonline.com/common/oauth2/authorize

Étendues

Nom Description
user_impersonation emprunter l’identité de votre compte d’utilisateur

Exemples

ConfigurationList

Exemple de requête

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations?api-version=2022-12-01

Exemple de réponse

{
  "nextLink": "https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff//resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations?api-version=2022-12-01&$top=200&$skiptoken=skiptoken",
  "value": [
    {
      "properties": {
        "value": "",
        "description": "Sets the application name to be reported in statistics and logs.",
        "defaultValue": "",
        "dataType": "String",
        "allowedValues": "[A-Za-z0-9._-]*",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/application_name",
      "name": "application_name",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables input of NULL elements in arrays.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/array_nulls",
      "name": "array_nulls",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Starts the autovacuum subprocess.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum",
      "name": "autovacuum",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.1",
        "description": "Number of tuple inserts, updates, or deletes prior to analyze as a fraction of reltuples.",
        "defaultValue": "0.1",
        "dataType": "Numeric",
        "allowedValues": "0-100",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_analyze_scale_factor",
      "name": "autovacuum_analyze_scale_factor",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "50",
        "description": "Minimum number of tuple inserts, updates, or deletes prior to analyze.",
        "defaultValue": "50",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_analyze_threshold",
      "name": "autovacuum_analyze_threshold",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "60",
        "description": "Time to sleep between autovacuum runs.",
        "defaultValue": "60",
        "dataType": "Integer",
        "allowedValues": "1-2147483",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_naptime",
      "name": "autovacuum_naptime",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "2",
        "description": "Vacuum cost delay in milliseconds, for autovacuum.",
        "defaultValue": "2",
        "dataType": "Integer",
        "allowedValues": "-1-100",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_vacuum_cost_delay",
      "name": "autovacuum_vacuum_cost_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "-1",
        "description": "Vacuum cost amount available before napping, for autovacuum.",
        "defaultValue": "-1",
        "dataType": "Integer",
        "allowedValues": "-1-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_vacuum_cost_limit",
      "name": "autovacuum_vacuum_cost_limit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.2",
        "description": "Number of tuple updates or deletes prior to vacuum as a fraction of reltuples.",
        "defaultValue": "0.2",
        "dataType": "Numeric",
        "allowedValues": "0-100",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_vacuum_scale_factor",
      "name": "autovacuum_vacuum_scale_factor",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "50",
        "description": "Minimum number of tuple updates or deletes prior to vacuum.",
        "defaultValue": "50",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_vacuum_threshold",
      "name": "autovacuum_vacuum_threshold",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "-1",
        "description": "Sets the maximum memory to be used by each autovacuum worker process.",
        "defaultValue": "-1",
        "dataType": "Integer",
        "allowedValues": "-1-2097151",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/autovacuum_work_mem",
      "name": "autovacuum_work_mem",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Number of pages after which previously performed writes are flushed to disk.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-256",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/backend_flush_after",
      "name": "backend_flush_after",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "safe_encoding",
        "description": "Sets whether \"\\'\" is allowed in string literals.",
        "defaultValue": "safe_encoding",
        "dataType": "Enumeration",
        "allowedValues": "safe_encoding,on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/backslash_quote",
      "name": "backslash_quote",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "200",
        "description": "Background writer sleep time between rounds.",
        "defaultValue": "200",
        "dataType": "Integer",
        "allowedValues": "10-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/bgwriter_delay",
      "name": "bgwriter_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "64",
        "description": "Number of pages after which previously performed writes are flushed to disk.",
        "defaultValue": "64",
        "dataType": "Integer",
        "allowedValues": "0-256",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/bgwriter_flush_after",
      "name": "bgwriter_flush_after",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "100",
        "description": "Background writer maximum number of LRU pages to flush per round.",
        "defaultValue": "100",
        "dataType": "Integer",
        "allowedValues": "0-1073741823",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/bgwriter_lru_maxpages",
      "name": "bgwriter_lru_maxpages",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "2",
        "description": "Multiple of the average buffer usage to free per round.",
        "defaultValue": "2",
        "dataType": "Numeric",
        "allowedValues": "0-10",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/bgwriter_lru_multiplier",
      "name": "bgwriter_lru_multiplier",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "hex",
        "description": "Sets the output format for bytea.",
        "defaultValue": "hex",
        "dataType": "Enumeration",
        "allowedValues": "escape,hex",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/bytea_output",
      "name": "bytea_output",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Checks function bodies during CREATE FUNCTION.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/check_function_bodies",
      "name": "check_function_bodies",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.5",
        "description": "Time spent flushing dirty buffers during checkpoint, as fraction of checkpoint interval.",
        "defaultValue": "0.5",
        "dataType": "Numeric",
        "allowedValues": "0-1",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/checkpoint_completion_target",
      "name": "checkpoint_completion_target",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "300",
        "description": "Sets the maximum time between automatic WAL checkpoints.",
        "defaultValue": "300",
        "dataType": "Integer",
        "allowedValues": "30-86400",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/checkpoint_timeout",
      "name": "checkpoint_timeout",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "30",
        "description": "Enables warnings if checkpoint segments are filled more frequently than this.",
        "defaultValue": "30",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/checkpoint_warning",
      "name": "checkpoint_warning",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "sql_ascii",
        "description": "Sets the client's character set encoding.",
        "defaultValue": "sql_ascii",
        "dataType": "Enumeration",
        "allowedValues": "BIG5,EUC_CN,EUC_JP,EUC_JIS_2004,EUC_KR,EUC_TW,GB18030,GBK,ISO_8859_5,ISO_8859_6,ISO_8859_7,ISO_8859_8,JOHAB,KOI8R,KOI8U,LATIN1,LATIN2,LATIN3,LATIN4,LATIN5,LATIN6,LATIN7,LATIN8,LATIN9,LATIN10,MULE_INTERNAL,SJIS,SHIFT_JIS_2004,SQL_ASCII,UHC,UTF8,WIN866,WIN874,WIN1250,WIN1251,WIN1252,WIN1253,WIN1254,WIN1255,WIN1256,WIN1257,WIN1258",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/client_encoding",
      "name": "client_encoding",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "notice",
        "description": "Sets the message levels that are sent to the client.",
        "defaultValue": "notice",
        "dataType": "Enumeration",
        "allowedValues": "debug5,debug4,debug3,debug2,debug1,log,notice,warning,error",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/client_min_messages",
      "name": "client_min_messages",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Sets the delay in microseconds between transaction commit and flushing WAL to disk.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-100000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/commit_delay",
      "name": "commit_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "5",
        "description": "Sets the minimum concurrent open transactions before performing commit_delay.",
        "defaultValue": "5",
        "dataType": "Integer",
        "allowedValues": "0-1000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/commit_siblings",
      "name": "commit_siblings",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "partition",
        "description": "Enables the planner to use constraints to optimize queries.",
        "defaultValue": "partition",
        "dataType": "Enumeration",
        "allowedValues": "partition,on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/constraint_exclusion",
      "name": "constraint_exclusion",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.005",
        "description": "Sets the planner's estimate of the cost of processing each index entry during an index scan.",
        "defaultValue": "0.005",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/cpu_index_tuple_cost",
      "name": "cpu_index_tuple_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.0025",
        "description": "Sets the planner's estimate of the cost of processing each operator or function call.",
        "defaultValue": "0.0025",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/cpu_operator_cost",
      "name": "cpu_operator_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.01",
        "description": "Sets the planner's estimate of the cost of processing each tuple (row).",
        "defaultValue": "0.01",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/cpu_tuple_cost",
      "name": "cpu_tuple_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.1",
        "description": "Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved.",
        "defaultValue": "0.1",
        "dataType": "Numeric",
        "allowedValues": "0-1",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/cursor_tuple_fraction",
      "name": "cursor_tuple_fraction",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "ISO, MDY",
        "description": "Sets the display format for date and time values.",
        "defaultValue": "ISO, MDY",
        "dataType": "String",
        "allowedValues": "(ISO|POSTGRES|SQL|GERMAN)(, (DMY|MDY|YMD))?",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/DateStyle",
      "name": "DateStyle",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1000",
        "description": "Sets the amount of time, in milliseconds, to wait on a lock before checking for deadlock.",
        "defaultValue": "1000",
        "dataType": "Integer",
        "allowedValues": "1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/deadlock_timeout",
      "name": "deadlock_timeout",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Indents parse and plan tree displays.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/debug_pretty_print",
      "name": "debug_pretty_print",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs each query's parse tree.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/debug_print_parse",
      "name": "debug_print_parse",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs each query's execution plan.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/debug_print_plan",
      "name": "debug_print_plan",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs each query's rewritten parse tree.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/debug_print_rewritten",
      "name": "debug_print_rewritten",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "100",
        "description": "Sets the default statistics target.",
        "defaultValue": "100",
        "dataType": "Integer",
        "allowedValues": "1-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_statistics_target",
      "name": "default_statistics_target",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "",
        "description": "Sets the default tablespace to create tables and indexes in.",
        "defaultValue": "",
        "dataType": "String",
        "allowedValues": "[A-Za-z._]*",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_tablespace",
      "name": "default_tablespace",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "pg_catalog.english",
        "description": "Sets default text search configuration.",
        "defaultValue": "pg_catalog.english",
        "dataType": "String",
        "allowedValues": "[A-Za-z._]+",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_text_search_config",
      "name": "default_text_search_config",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Sets the default deferrable status of new transactions.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_transaction_deferrable",
      "name": "default_transaction_deferrable",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "read committed",
        "description": "Sets the transaction isolation level of each new transaction.",
        "defaultValue": "read committed",
        "dataType": "Enumeration",
        "allowedValues": "serializable,repeatable read,read committed,read uncommitted",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_transaction_isolation",
      "name": "default_transaction_isolation",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Sets the default read-only status of new transactions.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_transaction_read_only",
      "name": "default_transaction_read_only",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Creates new tables with OIDs by default.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/default_with_oids",
      "name": "default_with_oids",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "3145728",
        "description": "Sets the planner's assumption about the size of the disk cache.",
        "defaultValue": "3145728",
        "dataType": "Integer",
        "allowedValues": "1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/effective_cache_size",
      "name": "effective_cache_size",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of bitmap-scan plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_bitmapscan",
      "name": "enable_bitmapscan",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of gather merge plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_gathermerge",
      "name": "enable_gathermerge",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of hashed aggregation plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_hashagg",
      "name": "enable_hashagg",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of hash join plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_hashjoin",
      "name": "enable_hashjoin",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of index-only-scan plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_indexonlyscan",
      "name": "enable_indexonlyscan",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of index-scan plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_indexscan",
      "name": "enable_indexscan",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of materialization.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_material",
      "name": "enable_material",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of merge join plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_mergejoin",
      "name": "enable_mergejoin",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of nested loop join plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_nestloop",
      "name": "enable_nestloop",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of sequential-scan plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_seqscan",
      "name": "enable_seqscan",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of explicit sort steps.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_sort",
      "name": "enable_sort",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables the planner's use of TID scan plans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/enable_tidscan",
      "name": "enable_tidscan",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Warns about backslash escapes in ordinary string literals.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/escape_string_warning",
      "name": "escape_string_warning",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Terminates session on any error.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/exit_on_error",
      "name": "exit_on_error",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1",
        "description": "Sets the number of digits displayed for floating-point values.",
        "defaultValue": "1",
        "dataType": "Integer",
        "allowedValues": "-15-3",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/extra_float_digits",
      "name": "extra_float_digits",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Forces use of parallel query facilities.",
        "defaultValue": "off",
        "dataType": "Enumeration",
        "allowedValues": "off,on,regress",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/force_parallel_mode",
      "name": "force_parallel_mode",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "8",
        "description": "Sets the FROM-list size beyond which subqueries are not collapsed.",
        "defaultValue": "8",
        "dataType": "Integer",
        "allowedValues": "1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/from_collapse_limit",
      "name": "from_collapse_limit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables genetic query optimization.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo",
      "name": "geqo",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "5",
        "description": "GEQO: effort is used to set the default for other GEQO parameters.",
        "defaultValue": "5",
        "dataType": "Integer",
        "allowedValues": "1-10",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo_effort",
      "name": "geqo_effort",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "GEQO: number of iterations of the algorithm.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo_generations",
      "name": "geqo_generations",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "GEQO: number of individuals in the population.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo_pool_size",
      "name": "geqo_pool_size",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "GEQO: seed for random path selection.",
        "defaultValue": "0",
        "dataType": "Numeric",
        "allowedValues": "0-1",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo_seed",
      "name": "geqo_seed",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "2",
        "description": "GEQO: selective pressure within the population.",
        "defaultValue": "2",
        "dataType": "Numeric",
        "allowedValues": "1.5-2",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo_selection_bias",
      "name": "geqo_selection_bias",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "12",
        "description": "Sets the threshold of FROM items beyond which GEQO is used.",
        "defaultValue": "12",
        "dataType": "Integer",
        "allowedValues": "2-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/geqo_threshold",
      "name": "geqo_threshold",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Sets the maximum allowed result for exact search by GIN.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/gin_fuzzy_search_limit",
      "name": "gin_fuzzy_search_limit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "4096",
        "description": "Sets the maximum size of the pending list for GIN index.",
        "defaultValue": "4096",
        "dataType": "Integer",
        "allowedValues": "64-2097151",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/gin_pending_list_limit",
      "name": "gin_pending_list_limit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Sets the maximum allowed duration of any idling transaction.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/idle_in_transaction_session_timeout",
      "name": "idle_in_transaction_session_timeout",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "postgres",
        "description": "Sets the display format for interval values.",
        "defaultValue": "postgres",
        "dataType": "Enumeration",
        "allowedValues": "postgres,postgres_verbose,sql_standard,iso_8601",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/IntervalStyle",
      "name": "IntervalStyle",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "8",
        "description": "Sets the FROM-list size beyond which JOIN constructs are not flattened.",
        "defaultValue": "8",
        "dataType": "Integer",
        "allowedValues": "1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/join_collapse_limit",
      "name": "join_collapse_limit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "en_US.utf-8",
        "description": "Sets the locale for formatting monetary amounts.",
        "defaultValue": "en_US.utf-8",
        "dataType": "String",
        "allowedValues": "[A-Za-z0-9._ -]+",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/lc_monetary",
      "name": "lc_monetary",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "en_US.utf-8",
        "description": "Sets the locale for formatting numbers.",
        "defaultValue": "en_US.utf-8",
        "dataType": "String",
        "allowedValues": "[A-Za-z0-9._ -]+",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/lc_numeric",
      "name": "lc_numeric",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Enables backward compatibility mode for privilege checks on large objects.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/lo_compat_privileges",
      "name": "lo_compat_privileges",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Sets the maximum allowed duration (in milliseconds) of any wait for a lock. 0 turns this off.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/lock_timeout",
      "name": "lock_timeout",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "-1",
        "description": "Sets the minimum execution time above which autovacuum actions will be logged.",
        "defaultValue": "-1",
        "dataType": "Integer",
        "allowedValues": "-1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_autovacuum_min_duration",
      "name": "log_autovacuum_min_duration",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Logs each checkpoint.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_checkpoints",
      "name": "log_checkpoints",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Logs each successful connection.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_connections",
      "name": "log_connections",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "stderr",
        "description": "Sets the destination for server log output.",
        "defaultValue": "stderr",
        "dataType": "Enumeration",
        "allowedValues": "stderr,csvlog",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_destination",
      "name": "log_destination",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs end of a session, including duration.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_disconnections",
      "name": "log_disconnections",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs the duration of each completed SQL statement.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_duration",
      "name": "log_duration",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "default",
        "description": "Sets the verbosity of logged messages.",
        "defaultValue": "default",
        "dataType": "Enumeration",
        "allowedValues": "terse,default,verbose",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_error_verbosity",
      "name": "log_error_verbosity",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs long lock waits.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_lock_waits",
      "name": "log_lock_waits",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "-1",
        "description": "Sets the minimum execution time (in milliseconds) above which statements will be logged. -1 disables logging statement durations.",
        "defaultValue": "-1",
        "dataType": "Integer",
        "allowedValues": "-1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_min_duration_statement",
      "name": "log_min_duration_statement",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "error",
        "description": "Causes all statements generating error at or above this level to be logged.",
        "defaultValue": "error",
        "dataType": "Enumeration",
        "allowedValues": "debug5,debug4,debug3,debug2,debug1,info,notice,warning,error,log,fatal,panic",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_min_error_statement",
      "name": "log_min_error_statement",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "warning",
        "description": "Sets the message levels that are logged.",
        "defaultValue": "warning",
        "dataType": "Enumeration",
        "allowedValues": "debug5,debug4,debug3,debug2,debug1,info,notice,warning,error,log,fatal,panic",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_min_messages",
      "name": "log_min_messages",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Logs each replication command.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_replication_commands",
      "name": "log_replication_commands",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "none",
        "description": "Sets the type of statements logged.",
        "defaultValue": "none",
        "dataType": "Enumeration",
        "allowedValues": "none,ddl,mod,all",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_statement",
      "name": "log_statement",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "For each query, writes cumulative performance statistics to the server log.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_statement_stats",
      "name": "log_statement_stats",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "-1",
        "description": "Logs the use of temporary files larger than this number of kilobytes.",
        "defaultValue": "-1",
        "dataType": "Integer",
        "allowedValues": "-1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/log_temp_files",
      "name": "log_temp_files",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "332800",
        "description": "Sets the maximum memory to be used for maintenance operations.",
        "defaultValue": "332800",
        "dataType": "Integer",
        "allowedValues": "1024-2097151",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/maintenance_work_mem",
      "name": "maintenance_work_mem",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "8",
        "description": "Sets the maximum number of parallel workers than can be active at one time.",
        "defaultValue": "8",
        "dataType": "Integer",
        "allowedValues": "0-1024",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_parallel_workers",
      "name": "max_parallel_workers",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "2",
        "description": "Sets the maximum number of parallel processes per executor node.",
        "defaultValue": "2",
        "dataType": "Integer",
        "allowedValues": "0-1024",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_parallel_workers_per_gather",
      "name": "max_parallel_workers_per_gather",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "2",
        "description": "Sets the maximum number of predicate-locked tuples per page.",
        "defaultValue": "2",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_pred_locks_per_page",
      "name": "max_pred_locks_per_page",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "-2",
        "description": "Sets the maximum number of predicate-locked pages and tuples per relation.",
        "defaultValue": "-2",
        "dataType": "Integer",
        "allowedValues": "-2147483648-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_pred_locks_per_relation",
      "name": "max_pred_locks_per_relation",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "30000",
        "description": "Sets the maximum delay before canceling queries when a hot standby server is processing archived WAL data.",
        "defaultValue": "30000",
        "dataType": "Integer",
        "allowedValues": "-1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_standby_archive_delay",
      "name": "max_standby_archive_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "30000",
        "description": "Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data.",
        "defaultValue": "30000",
        "dataType": "Integer",
        "allowedValues": "-1-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_standby_streaming_delay",
      "name": "max_standby_streaming_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "2",
        "description": "Maximum number of table synchronization workers per subscription.",
        "defaultValue": "2",
        "dataType": "Integer",
        "allowedValues": "0-262143",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_sync_workers_per_subscription",
      "name": "max_sync_workers_per_subscription",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1024",
        "description": "Sets the WAL size that triggers a checkpoint.",
        "defaultValue": "1024",
        "dataType": "Integer",
        "allowedValues": "2-2097151",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/max_wal_size",
      "name": "max_wal_size",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "64",
        "description": "Sets the minimum amount of index data for a parallel scan.",
        "defaultValue": "64",
        "dataType": "Integer",
        "allowedValues": "0-715827882",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/min_parallel_index_scan_size",
      "name": "min_parallel_index_scan_size",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1024",
        "description": "Sets the minimum amount of table data for a parallel scan.",
        "defaultValue": "1024",
        "dataType": "Integer",
        "allowedValues": "0-715827882",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/min_parallel_table_scan_size",
      "name": "min_parallel_table_scan_size",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "80",
        "description": "Sets the minimum size to shrink the WAL to.",
        "defaultValue": "80",
        "dataType": "Integer",
        "allowedValues": "2-2097151",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/min_wal_size",
      "name": "min_wal_size",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Emits a warning for constructs that changed meaning since PostgreSQL 9.4.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/operator_precedence_warning",
      "name": "operator_precedence_warning",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1000",
        "description": "Sets the planner's estimate of the cost of starting up worker processes for parallel query.",
        "defaultValue": "1000",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/parallel_setup_cost",
      "name": "parallel_setup_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0.1",
        "description": "Sets the planner's estimate of the cost of passing each tuple (row) from worker to master backend.",
        "defaultValue": "0.1",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/parallel_tuple_cost",
      "name": "parallel_tuple_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "When generating SQL fragments, quotes all identifiers.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/quote_all_identifiers",
      "name": "quote_all_identifiers",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "4",
        "description": "Sets the planner's estimate of the cost of a nonsequentially fetched disk page.",
        "defaultValue": "4",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/random_page_cost",
      "name": "random_page_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables row security.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/row_security",
      "name": "row_security",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "\"$user\", public",
        "description": "Sets the schema search order for names that are not schema-qualified.",
        "defaultValue": "\"$user\", public",
        "dataType": "String",
        "allowedValues": "[A-Za-z.\"$, ]+",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/search_path",
      "name": "search_path",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1",
        "description": "Sets the planner's estimate of the cost of a sequentially fetched disk page.",
        "defaultValue": "1",
        "dataType": "Numeric",
        "allowedValues": "0-1.79769e+308",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/seq_page_cost",
      "name": "seq_page_cost",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "origin",
        "description": "Sets the session's behavior for triggers and rewrite rules.",
        "defaultValue": "origin",
        "dataType": "Enumeration",
        "allowedValues": "origin,replica,local",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/session_replication_role",
      "name": "session_replication_role",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Causes '...' strings to treat backslashes literally.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/standard_conforming_strings",
      "name": "standard_conforming_strings",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Sets the maximum allowed duration (in milliseconds) of any statement. 0 turns this off.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/statement_timeout",
      "name": "statement_timeout",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Enables synchronized sequential scans.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/synchronize_seqscans",
      "name": "synchronize_seqscans",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Sets the current transaction's synchronization level.",
        "defaultValue": "on",
        "dataType": "Enumeration",
        "allowedValues": "local,remote_write,on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/synchronous_commit",
      "name": "synchronous_commit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "9",
        "description": "Maximum number of TCP keepalive retransmits.",
        "defaultValue": "9",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/tcp_keepalives_count",
      "name": "tcp_keepalives_count",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "120",
        "description": "Time between issuing TCP keepalives.",
        "defaultValue": "120",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/tcp_keepalives_idle",
      "name": "tcp_keepalives_idle",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "30",
        "description": "Time between TCP keepalive retransmits.",
        "defaultValue": "30",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/tcp_keepalives_interval",
      "name": "tcp_keepalives_interval",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1024",
        "description": "Sets the maximum number of temporary buffers used by each database session.",
        "defaultValue": "1024",
        "dataType": "Integer",
        "allowedValues": "100-1073741823",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/temp_buffers",
      "name": "temp_buffers",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "",
        "description": "Sets the tablespace(s) to use for temporary tables and sort files.",
        "defaultValue": "",
        "dataType": "String",
        "allowedValues": "[A-Za-z._]*",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/temp_tablespaces",
      "name": "temp_tablespaces",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "UTC",
        "description": "Sets the time zone for displaying and interpreting time stamps.",
        "defaultValue": "UTC",
        "dataType": "String",
        "allowedValues": "[A-Za-z0-9/+_-]+",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/TimeZone",
      "name": "TimeZone",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Collects information about executing commands.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/track_activities",
      "name": "track_activities",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "on",
        "description": "Collects statistics on database activity.",
        "defaultValue": "on",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/track_counts",
      "name": "track_counts",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "none",
        "description": "Collects function-level statistics on database activity.",
        "defaultValue": "none",
        "dataType": "Enumeration",
        "allowedValues": "none,pl,all",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/track_functions",
      "name": "track_functions",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Collects timing statistics for database I/O activity.",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/track_io_timing",
      "name": "track_io_timing",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "off",
        "description": "Treats \"expr=NULL\" as \"expr IS NULL\".",
        "defaultValue": "off",
        "dataType": "Boolean",
        "allowedValues": "on,off",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/transform_null_equals",
      "name": "transform_null_equals",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Vacuum cost delay in milliseconds.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-100",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_cost_delay",
      "name": "vacuum_cost_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "200",
        "description": "Vacuum cost amount available before napping.",
        "defaultValue": "200",
        "dataType": "Integer",
        "allowedValues": "1-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_cost_limit",
      "name": "vacuum_cost_limit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "20",
        "description": "Vacuum cost for a page dirtied by vacuum.",
        "defaultValue": "20",
        "dataType": "Integer",
        "allowedValues": "0-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_cost_page_dirty",
      "name": "vacuum_cost_page_dirty",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "1",
        "description": "Vacuum cost for a page found in the buffer cache.",
        "defaultValue": "1",
        "dataType": "Integer",
        "allowedValues": "0-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_cost_page_hit",
      "name": "vacuum_cost_page_hit",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "10",
        "description": "Vacuum cost for a page not found in the buffer cache.",
        "defaultValue": "10",
        "dataType": "Integer",
        "allowedValues": "0-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_cost_page_miss",
      "name": "vacuum_cost_page_miss",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "0",
        "description": "Number of transactions by which VACUUM and HOT cleanup should be deferred, if any.",
        "defaultValue": "0",
        "dataType": "Integer",
        "allowedValues": "0-1000000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_defer_cleanup_age",
      "name": "vacuum_defer_cleanup_age",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "50000000",
        "description": "Minimum age at which VACUUM should freeze a table row.",
        "defaultValue": "50000000",
        "dataType": "Integer",
        "allowedValues": "0-1000000000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_freeze_min_age",
      "name": "vacuum_freeze_min_age",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "150000000",
        "description": "Age at which VACUUM should scan whole table to freeze tuples.",
        "defaultValue": "150000000",
        "dataType": "Integer",
        "allowedValues": "0-2000000000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_freeze_table_age",
      "name": "vacuum_freeze_table_age",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "5000000",
        "description": "Minimum age at which VACUUM should freeze a MultiXactId in a table row.",
        "defaultValue": "5000000",
        "dataType": "Integer",
        "allowedValues": "0-1000000000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_multixact_freeze_min_age",
      "name": "vacuum_multixact_freeze_min_age",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "150000000",
        "description": "Multixact age at which VACUUM should scan whole table to freeze tuples.",
        "defaultValue": "150000000",
        "dataType": "Integer",
        "allowedValues": "0-2000000000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/vacuum_multixact_freeze_table_age",
      "name": "vacuum_multixact_freeze_table_age",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "10",
        "description": "Sets the maximum interval between WAL receiver status reports to the primary.",
        "defaultValue": "10",
        "dataType": "Integer",
        "allowedValues": "0-2147483",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/wal_receiver_status_interval",
      "name": "wal_receiver_status_interval",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "200",
        "description": "Time between WAL flushes performed in the WAL writer.",
        "defaultValue": "200",
        "dataType": "Integer",
        "allowedValues": "1-10000",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/wal_writer_delay",
      "name": "wal_writer_delay",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "128",
        "description": "Amount of WAL written out by WAL writer that triggers a flush.",
        "defaultValue": "128",
        "dataType": "Integer",
        "allowedValues": "0-2147483647",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/wal_writer_flush_after",
      "name": "wal_writer_flush_after",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "115712",
        "description": "Sets the amount of memory to be used by internal sort operations and hash tables before writing to temporary disk files.",
        "defaultValue": "115712",
        "dataType": "Integer",
        "allowedValues": "4096-2097151",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/work_mem",
      "name": "work_mem",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "base64",
        "description": "Sets how binary values are to be encoded in XML.",
        "defaultValue": "base64",
        "dataType": "Enumeration",
        "allowedValues": "base64,hex",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/xmlbinary",
      "name": "xmlbinary",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    },
    {
      "properties": {
        "value": "content",
        "description": "Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.",
        "defaultValue": "content",
        "dataType": "Enumeration",
        "allowedValues": "content,document",
        "source": "system-default"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBforPostgreSQL/flexibleServers/testserver/configurations/xmloption",
      "name": "xmloption",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations"
    }
  ]
}

Définitions

Nom Description
Configuration

Représente une configuration.

ConfigurationDataType

Type de données de la configuration.

ConfigurationListResult

Liste des configurations de serveur.

createdByType

Type d’identité qui a créé la ressource.

ErrorAdditionalInfo

Informations supplémentaires sur l’erreur de gestion des ressources.

ErrorDetail

Détail de l’erreur.

ErrorResponse

Réponse d’erreur

systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

Configuration

Représente une configuration.

Nom Type Description
id

string

ID de ressource complet pour la ressource. ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

nom de la ressource.

properties.allowedValues

string

Valeurs autorisées de la configuration.

properties.dataType

ConfigurationDataType

Type de données de la configuration.

properties.defaultValue

string

Valeur par défaut de la configuration.

properties.description

string

Description de la configuration.

properties.documentationLink

string

Lien de la documentation de configuration.

properties.isConfigPendingRestart

boolean

La configuration est en attente de redémarrage ou non.

properties.isDynamicConfig

boolean

Configuration dynamique ou statique.

properties.isReadOnly

boolean

Configuration en lecture seule ou non.

properties.source

string

Source de la configuration. Obligatoire pour mettre à jour la configuration.

properties.unit

string

Unité de configuration.

properties.value

string

Valeur de la configuration. Obligatoire pour mettre à jour la configuration.

systemData

systemData

Métadonnées système relatives à cette ressource.

type

string

Type de la ressource. Par exemple, « Microsoft.Compute/virtualMachines » ou « Microsoft.Storage/storageAccounts »

ConfigurationDataType

Type de données de la configuration.

Valeur Description
Boolean
Numeric
Integer
Enumeration

ConfigurationListResult

Liste des configurations de serveur.

Nom Type Description
nextLink

string

Lien utilisé pour obtenir la page suivante des opérations.

value

Configuration[]

Liste des configurations de serveur.

createdByType

Type d’identité qui a créé la ressource.

Valeur Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Informations supplémentaires sur l’erreur de gestion des ressources.

Nom Type Description
info

object

Informations supplémentaires.

type

string

Type d’informations supplémentaire.

ErrorDetail

Détail de l’erreur.

Nom Type Description
additionalInfo

ErrorAdditionalInfo[]

Informations supplémentaires sur l’erreur.

code

string

Code d’erreur.

details

ErrorDetail[]

Détails de l’erreur.

message

string

Message d’erreur.

target

string

Cible d’erreur.

ErrorResponse

Réponse d’erreur

Nom Type Description
error

ErrorDetail

Objet d’erreur.

systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

Nom Type Description
createdAt

string (date-time)

Horodatage de la création de ressources (UTC).

createdBy

string

Identité qui a créé la ressource.

createdByType

createdByType

Type d’identité qui a créé la ressource.

lastModifiedAt

string (date-time)

Horodatage de la dernière modification de ressource (UTC)

lastModifiedBy

string

Identité qui a modifié la ressource pour la dernière fois.

lastModifiedByType

createdByType

Type d’identité qui a modifié la ressource pour la dernière fois.